CVE-2005-2315
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:51:27
NMCO    

[原文]Buffer overflow in Domain Name Relay Daemon (DNRD) before 2.19.1 allows remote attackers to execute arbitrary code via a large number of large DNS packets with the Z and QR flags cleared.


[CNNVD]Domain Name Relay Daemon (DNRD) 缓冲区溢出漏洞(CNNVD-200512-790)

        Domain Name Relay Daemon (DNRD)的2.19.1之前版本存在缓冲区溢出,远程攻击者可以通过大量清除了Z和QR标志的大DNS包来执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:dnrd:dnrd:1.4
cpe:/a:dnrd:dnrd:2.4
cpe:/a:dnrd:dnrd:1.1
cpe:/a:dnrd:dnrd:2.1
cpe:/a:dnrd:dnrd:2.8
cpe:/a:dnrd:dnrd:2.3
cpe:/a:dnrd:dnrd:1.2
cpe:/a:dnrd:dnrd:2.10
cpe:/a:dnrd:dnrd:2.7
cpe:/a:dnrd:dnrd:2.0
cpe:/a:dnrd:dnrd:2.5
cpe:/a:dnrd:dnrd:1.0
cpe:/a:dnrd:dnrd:1.3
cpe:/a:dnrd:dnrd:2.9
cpe:/a:dnrd:dnrd:2.6
cpe:/a:dnrd:dnrd:2.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2315
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2315
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-790
(官方数据源) CNNVD

- 其它链接及资源

http://sourceforge.net/forum/forum.php?forum_id=482568
(PATCH)  CONFIRM  http://sourceforge.net/forum/forum.php?forum_id=482568
http://secunia.com/advisories/16142
(VENDOR_ADVISORY)  SECUNIA  16142
http://www.FreeBSD.org/ports/portaudit/e72fd82b-fa01-11d9-bc08-0001020eed82.html
(UNKNOWN)  CONFIRM  http://www.FreeBSD.org/ports/portaudit/e72fd82b-fa01-11d9-bc08-0001020eed82.html
http://securitytracker.com/id?1014557
(UNKNOWN)  SECTRACK  1014557

- 漏洞信息

Domain Name Relay Daemon (DNRD) 缓冲区溢出漏洞
高危 缓冲区溢出
2005-12-31 00:00:00 2006-04-28 00:00:00
远程  
        Domain Name Relay Daemon (DNRD)的2.19.1之前版本存在缓冲区溢出,远程攻击者可以通过大量清除了Z和QR标志的大DNS包来执行任意代码。

- 公告与补丁

        

- 漏洞信息

18150
Domain Name Relay Daemon (DNRD) Unspecified Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-07-21 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.19.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站